Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime.test
Class SMIMESignedTest

    java.lang.Object
      TestCase
          org.bouncycastle.mail.smime.test.SMIMESignedTest

    public class SMIMESignedTest

extends TestCase

Constructor Summary
`SMIMESignedTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `multipartMixedTest(MimeBodyPart part1, MimeBodyPart part2)`
`static Test` `suite()`
`void` `testBasicAS2()`
`void` `testBasicAS2Parser()`
`void` `testCertificateManagement()`
`void` `testEmbeddedMulti()`
`void` `testEmbeddedMultiParser()`
`void` `testExtraNlInPostamble()`
`void` `testGOST3411WithECGOST3410()`
`void` `testGOST3411WithGOST3410()`
`void` `testHeaders()`
`void` `testHeadersEncapsulated()`
`void` `testMD5WithRSA()`
`void` `testMD5WithRSAAddSignersSHA1()`
`void` `testMimeMultipart()`
`void` `testMimeMultipartBinaryParser()`
`void` `testMimeMultipartBinaryParserGetMimeContent()`
`void` `testMimeMultipartBinaryReader()`
`void` `testMultiAlternative()`
`void` `testMultiAlternativeParser()`
`void` `testMultipartBinaryBinary()`
`void` `testMultipartBinaryText()`
`void` `testMultipartTextBinary()`
`void` `testMultipartTextText()`
`void` `testQuotable()`
`void` `testQuotableParser()`
`void` `testRIPEMD160WithRSA()`
`void` `testSHA1withDSA()`
`void` `testSHA1WithRSA()`
`void` `testSHA1WithRSAAddSigners()`
`void` `testSHA1WithRSACanonicalization()`
`void` `testSHA1WithRSAEncapsulated()`
`void` `testSHA1WithRSAEncapsulatedParser()`
`void` `testSHA1WithRSAEncapsulatedParserAndFile()`
`void` `testSHA1WithRSAPSS()`
`void` `testSHA224WithRSA()`
`void` `testSHA224WithRSAParser()`
`void` `testSHA224WithRSAParserEncryptedWithDES()`
`void` `testSHA224WithRSAPSS()`
`void` `testSHA256WithRSA()`
`void` `testSHA256WithRSABinary()`
`void` `testSHA256WithRSABinaryWithParser()`
`void` `testSHA256WithRSAPSS()`
`void` `testSHA384WithRSA()`
`void` `testSHA384WithRSAPSS()`
`void` `testSHA512WithRSA()`
`void` `testSignAttachmentOnly()`
`void` `testWithAttributeCertificate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMESignedTest

    public SMIMESignedTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()

### testHeaders

    public void testHeaders()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHeadersEncapsulated

    public void testHeadersEncapsulated()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultipartTextText

    public void testMultipartTextText()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultipartTextBinary

    public void testMultipartTextBinary()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultipartBinaryText

    public void testMultipartBinaryText()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultipartBinaryBinary

    public void testMultipartBinaryBinary()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAPSS

    public void testSHA1WithRSAPSS()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA224WithRSAPSS

    public void testSHA224WithRSAPSS()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA256WithRSAPSS

    public void testSHA256WithRSAPSS()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA384WithRSAPSS

    public void testSHA384WithRSAPSS()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### multipartMixedTest

    public void multipartMixedTest(MimeBodyPart part1,
                                   MimeBodyPart part2)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSA

    public void testSHA1WithRSA()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAAddSigners

    public void testSHA1WithRSAAddSigners()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMD5WithRSAAddSignersSHA1

    public void testMD5WithRSAAddSignersSHA1()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSACanonicalization

    public void testSHA1WithRSACanonicalization()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulated

    public void testSHA1WithRSAEncapsulated()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulatedParser

    public void testSHA1WithRSAEncapsulatedParser()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulatedParserAndFile

    public void testSHA1WithRSAEncapsulatedParserAndFile()
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMD5WithRSA

    public void testMD5WithRSA()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA224WithRSA

    public void testSHA224WithRSA()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA256WithRSA

    public void testSHA256WithRSA()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA384WithRSA

    public void testSHA384WithRSA()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA512WithRSA

    public void testSHA512WithRSA()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRIPEMD160WithRSA

    public void testRIPEMD160WithRSA()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGOST3411WithGOST3410

    public void testGOST3411WithGOST3410()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGOST3411WithECGOST3410

    public void testGOST3411WithECGOST3410()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA224WithRSAParser

    public void testSHA224WithRSAParser()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA224WithRSAParserEncryptedWithDES

    public void testSHA224WithRSAParserEncryptedWithDES()
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1withDSA

    public void testSHA1withDSA()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA256WithRSABinary

    public void testSHA256WithRSABinary()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA256WithRSABinaryWithParser

    public void testSHA256WithRSABinaryWithParser()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWithAttributeCertificate

    public void testWithAttributeCertificate()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCertificateManagement

    public void testCertificateManagement()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMimeMultipart

    public void testMimeMultipart()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMimeMultipartBinaryReader

    public void testMimeMultipartBinaryReader()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMimeMultipartBinaryParser

    public void testMimeMultipartBinaryParser()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMimeMultipartBinaryParserGetMimeContent

    public void testMimeMultipartBinaryParserGetMimeContent()
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testQuotable

    public void testQuotable()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testQuotableParser

    public void testQuotableParser()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEmbeddedMulti

    public void testEmbeddedMulti()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEmbeddedMultiParser

    public void testEmbeddedMultiParser()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiAlternative

    public void testMultiAlternative()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExtraNlInPostamble

    public void testExtraNlInPostamble()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSignAttachmentOnly

    public void testSignAttachmentOnly()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiAlternativeParser

    public void testMultiAlternativeParser()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBasicAS2

    public void testBasicAS2()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBasicAS2Parser

    public void testBasicAS2Parser()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45